<?php

require_once "../../../app/model/db.class.php";


if ($_POST['accion']=='listado'){

    $id1=$_POST['id1'];
    $id2=$_POST['id2'];
   
    $tabla=$_POST['tabla'];
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    if ($tabla=="profesores"){
        $query=$obj->consulta("select cedula,nombres from ".$tabla." order by orden");
    }

    else{
        $query=$obj->consulta("select codigo,descripcion from ".$tabla." order by orden");
    }
    
    $obj->disconnect();

    $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";

    while($row = $obj->fetch_assoc($query)) {

      $cadena.="<tr>";

      if ($tabla=="profesores"){
          $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='../imagenes/boton.png' onClick='mostrar_lista(\"".$id1."\",\"".$id2."\",\"".$row['cedula']."\",\"".($row['nombres'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
          $cadena.="<td>".$row['cedula']."</td><td>".($row['nombres'])."</td></tr>";
      }
      else{
          $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='../imagenes/boton.png' onClick='mostrar_lista(\"".$id1."\",\"".$id2."\",\"".$row['codigo']."\",\"".($row['descripcion'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
          $cadena.="<td>".$row['codigo']."</td><td>".($row['descripcion'])."</td></tr>";          
      }

    }

    $cadena.="</table>";
    echo $cadena;

}

//--------------------------------------------


if ($_POST['accion']=='listado_grado'){

    $id1=$_POST['id1'];
    $id2=$_POST['id2'];
    $sede=$_POST['sede'];
   
    $tabla=$_POST['tabla'];
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("select grados.codigo, grados.descripcion from grados inner 
        join cursos on grados.codigo=cursos.grado where cursos.sede='".$sede."' group by grados.codigo order by grados.orden asc;");
    
    
    $obj->disconnect();
    
    $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";

    while($row = $obj->fetch_assoc($query)) {

      $cadena.="<tr>";     
      $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='../imagenes/boton.png' onClick='mostrar_lista_grado(\"".$id1."\",\"".$id2."\",\"".$row['codigo']."\",\"".($row['descripcion'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
      $cadena.="<td>".$row['codigo']."</td><td>".($row['descripcion'])."</td></tr>";          


    }

    $cadena.="</table>";
    echo $cadena;

}

//--------------------------------------------


if ($_POST['accion']=='listado_curso'){

    $id1=$_POST['id1'];
    $id2=$_POST['id2'];

    $tabla=$_POST['tabla'];
    $grado=$_POST['grado'];
    $sede=$_POST['sede'];

    $obj = new database();
    
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("select codigo,descripcion from cursos where sede='".$sede."' and grado='".$grado."' order by orden");

    $obj->disconnect();

    $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";

    while($row = $obj->fetch_assoc($query)) {

      $cadena.="<tr>";

      $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='../imagenes/boton.png' onClick='mostrar_lista_curso(\"".$id1."\",\"".$id2."\",\"".$row['codigo']."\",\"".($row['descripcion'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
      $cadena.="<td>".$row['codigo']."</td><td>".($row['descripcion'])."</td></tr>";

    }

    $cadena.="</table>";
    echo $cadena;

}

//-------------------------------------------
if ($_POST['accion']=='listado_jornada'){

    $sede=$_POST['sede'];
    $grado=$_POST['grado'];
    $curso=$_POST['curso'];

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("select cursos.jornada, jornadas.descripcion from jornadas inner join cursos on jornadas.codigo = cursos.jornada where cursos.sede='".$sede."' and cursos.grado='".$grado."' and cursos.codigo='".$curso."'");

    $obj->disconnect();

    $n=$obj->numero_de_filas($query);

    if ($n!=0){
        $row = $obj->fetch_assoc($query);
        echo $row['jornada']."_".($row['descripcion']);
    }
    else{
        echo "NO EXISTE";
    }



}
//--------------------------------------------

if ($_POST['accion']=='al_salir_grado'){

    $tabla=$_POST['tabla'];
    $codigo=$_POST['codigo'];
    $sede=$_POST['sede'];
    
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");


    $query=$obj->consulta("select grados.codigo, grados.descripcion from grados inner 
        join cursos on grados.codigo=cursos.grado where grados.codigo='".$codigo."' and cursos.sede='".$sede."' group by grados.codigo order by grados.orden asc;");
    


    $n=$obj->numero_de_filas($query);
    $obj->disconnect();

    $row = $obj->fetch_assoc($query);

    if ($n>0){
        
        $cadena=($row['descripcion']);        

    }
    else{
        $cadena="0";
    }

    echo $cadena;
}


//--------------------------------------------

if ($_POST['accion']=='al_salir'){

    $tabla=$_POST['tabla'];
    $codigo=$_POST['codigo'];
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");


    if ($tabla=="profesores"){
        $query=$obj->consulta("select cedula,nombres from ".$tabla." where cedula='".$codigo."'");
    }
    else{
        $query=$obj->consulta("select codigo,descripcion from ".$tabla." where codigo='".$codigo."'");
    }


    $n=$obj->numero_de_filas($query);
    $obj->disconnect();

    $row = $obj->fetch_assoc($query);

    if ($n>0){

        if ($tabla=="profesores"){
            $cadena=($row['nombres']);
        }
        else{
             $cadena=($row['descripcion']);
        }

    }
    else{
        $cadena="0";
    }

    echo $cadena;
}

//--------------------------------------------

if ($_POST['accion']=='al_salir_curso'){

    $sede=$_POST['sede'];
    $grado=$_POST['grado'];
    $curso=$_POST['curso'];
    
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $query=$obj->consulta("select cursos.jornada, jornadas.descripcion, cursos.codigo, cursos.descripcion as nom_curso from jornadas inner join cursos on jornadas.codigo = cursos.jornada where cursos.codigo='".$curso."' and cursos.sede='".$sede."' and cursos.grado='".$grado."'");


    $n=$obj->numero_de_filas($query);
    $obj->disconnect();

    $row = $obj->fetch_assoc($query);

    if ($n>0){   
        $cadena=($row['nom_curso'])."_".$row['jornada']."_".($row['descripcion']);
    }
    else{
        $cadena="0";
    }

    echo $cadena;
}

?>